From c88a56a69d5eb2dd17bd8ecc443d8ea500c6fd8b Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Fri, 10 Feb 2012 10:06:39 -0600
Subject: Corrects course navigation.

---
 grade/report/quick_edit/index.php                  |   14 +++++++-------
 .../quick_edit/lang/en/gradereport_quick_edit.php  |    2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/grade/report/quick_edit/index.php b/grade/report/quick_edit/index.php
index ed8da87..f34c5ef 100755
--- a/grade/report/quick_edit/index.php
+++ b/grade/report/quick_edit/index.php
@@ -38,15 +38,10 @@ $default_type = $userid ? 'user' : 'select';
 $itemid = optional_param('itemid', $userid, PARAM_INT);
 $itemtype = optional_param('item', $default_type, PARAM_TEXT);
 
-$PAGE->set_url(new moodle_url('/grade/report/quick_edit/index.php', array(
-    'id' => $courseid,
-    'item' => $itemtype,
-    'itemid' => $itemid,
-    'group' => $groupid
-)));
-
 $course_params = array('id' => $courseid);
 
+$PAGE->set_url(new moodle_url('/grade/report/quick_edit/index.php', $course_params));
+
 if (!$course = $DB->get_record('course', $course_params)) {
     print_error('nocourseid');
 }
@@ -82,6 +77,11 @@ $pluginname = get_string('pluginname', 'gradereport_quick_edit');
 $report_url = new moodle_url('/grade/report/index.php', $course_params);
 $edit_url = new moodle_url('/grade/report/quick_edit/index.php', $course_params);
 
+$PAGE->navbar->ignore_active(true);
+
+$PAGE->navbar->add(get_string('courses'));
+$PAGE->navbar->add($course->shortname, new moodle_url('/course/view.php', $course_params));
+
 $PAGE->navbar->add(get_string('gradeadministration', 'grades'));
 $PAGE->navbar->add(get_string('pluginname', 'gradereport_grader'), $report_url);
 
diff --git a/grade/report/quick_edit/lang/en/gradereport_quick_edit.php b/grade/report/quick_edit/lang/en/gradereport_quick_edit.php
index 6d893ca..ff59be9 100755
--- a/grade/report/quick_edit/lang/en/gradereport_quick_edit.php
+++ b/grade/report/quick_edit/lang/en/gradereport_quick_edit.php
@@ -23,7 +23,7 @@
 ///////////////////////////////////////////////////////////////////////////
 
 // General Strings
-$string['pluginname'] = 'Quick Edit report';
+$string['pluginname'] = 'Quick edit';
 $string['quick_edit:view'] = 'View the '.$string['pluginname'].' report';
 
 $string['exclude'] = 'Exclude';
-- 
1.7.1


